<?php 
  $lvl2ParentPanel3 = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'luzuk_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'luzuk_section', array(
    'title' => 'Section Test page',
    'panel' => 'luzuk_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'dinero_contact_pages' , array(
        'title'    => __( 'Contact Page', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel3'
    ) );

$wp_customize->add_setting('dinero_reset_contactpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_contactpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Contact Pages Settings', 'dinero'),
  'description' => 'dinero_contactpages_reset_settings',
  'section' => 'dinero_contact_pages'
)));
    

    $wp_customize->add_setting('luzuk_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_contactpages_nav', array(
       'section' => 'dinero_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'dinero_contactpage_address_label',
                'dinero_contactpage_address',
                'dinero_contactpage_address_line1',
                'dinero_contactpage_address_line2',
                'dinero_contactpage_phone_label',
                'dinero_contactpage_phone',
                'dinero_contactpage_phone_another',
                'dinero_contactpage_email_label',                
                'dinero_contactpage_email',
                'dinero_contactpage_email_another',
                'dinero_contactpage_time_label',
                'dinero_contactpage_day',
                'dinero_contactpage_time_time',
                'dinero_contactpage_formtitle',
                'dinero_contactpage_form_shortcode',
                'dinero_contactpage_iframe_shortcode'
            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'dinero_contactpage_content_align',            
                'dinero_contactpage_box_onload_effects',
                'dinero_contactpage_iconbg_color1',
                'dinero_contactpage_iconbg_color2',
                'dinero_contactpage_icon_color',
                'dinero_contactpage_label_color',
                'dinero_contactpage_info_color',
                'dinero_contactpage_infohover_color',
                'dinero_contactpage_border_color',
                'dinero_contactpage_heading_color',
                'dinero_contactpage_headingborder_color1',
                'dinero_contactpage_headingborder_color2',
                'dinero_contactpage_formtext_color',
                'dinero_contactpage_formlabel_color',
                'dinero_contactpage_formbg_color',
                'dinero_contactpage_formborder_color',
                'dinero_contactpage_formbtnbg_color1',
                'dinero_contactpage_formbtnbg_color2',
                'dinero_contactpage_formbtntext_color',
                'dinero_contactpage_mapborder_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'dinero_contactpage_address_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Location', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_address_label',
    array(
        'settings'      => 'dinero_contactpage_address_label',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address label', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_address',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Add Contact Address here..', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_address',
    array(
        'settings'      => 'dinero_contactpage_address',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 1', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_address_line1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_address_line1',
    array(
        'settings'      => 'dinero_contactpage_address_line1',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 2', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_address_line2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_address_line2',
    array(
        'settings'      => 'dinero_contactpage_address_line2',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 3', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_phone_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_phone_label',
    array(
        'settings'      => 'dinero_contactpage_phone_label',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone label', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_phone',
    array(
        'sanitize_callback' => 'dinero_sanitize_phone_number',
        'default'           => __( '0(800 890-90-609)', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_phone',
    array(
        'settings'      => 'dinero_contactpage_phone',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'First Phone Number', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_phone_another',
    array(
        'sanitize_callback' => 'dinero_sanitize_phone_number',
        'default'           => __( '0(800 890-90-620)', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_phone_another',
    array(
        'settings'      => 'dinero_contactpage_phone_another',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Second Phone Number', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_email_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Email', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_email_label',
    array(
        'settings'      => 'dinero_contactpage_email_label',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_email',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'info@example.com', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_email',
    array(
        'settings'      => 'dinero_contactpage_email',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'First Email', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_email_another',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'info@yourmail.com', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_email_another',
    array(
        'settings'      => 'dinero_contactpage_email_another',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Second Email', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_time_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Working Hours', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_time_label',
    array(
        'settings'      => 'dinero_contactpage_time_label',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Timming label', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_day',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Wednesday - Sunday', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_day',
    array(
        'settings'      => 'dinero_contactpage_day',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Days', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'dinero_contactpage_time_time',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7:00AM - 5:00PM', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_time_time',
    array(
        'settings'      => 'dinero_contactpage_time_time',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Time', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'dinero_contactpage_formtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Send Your Message Us', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_formtitle',
    array(
        'settings'      => 'dinero_contactpage_formtitle',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Box Title', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'dinero_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_contactpage_form_shortcode',
    array(
        'settings'      => 'dinero_contactpage_form_shortcode',
        'section'       => 'dinero_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'Luzuk' )
    )
);

$wp_customize->add_setting('dinero_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('dinero_contactpage_iframe_shortcode', array('settings'=>'dinero_contactpage_iframe_shortcode', 'section'=>'dinero_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'Luzuk')));

 $wp_customize->add_setting('dinero_contactpage_content_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_contactpage_content_align',array(
        'type' => 'select',
        'label' => __('Data Box Alignment','dinero'),
        'choices' => array (
            'Center' => __('Center','dinero'),
            'Left' => __('Left','dinero'),
            'Right' => __('Right','dinero')
        ),
        'section' => 'dinero_contact_pages',
    ));

     $wp_customize->add_setting('dinero_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','dinero'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','dinero'),
            'wow bounceInRight' => __('Bounce In Right','dinero'),
            'wow bounceInUp' => __('Bounce In Up','dinero'),
            'wow bounceInDown' => __('Bounce In Down','dinero'),
            'wow zoomIn' => __('Zoom In','dinero'),
            'wow zoomOut' => __('Zoom Out','dinero'),
            'wow fadeInDown' => __('Fade In Down','dinero'),            
            'wow fadeInUp' => __('Fade In Up','dinero'),
            'wow fadeInLeft' => __('Fade In Left','dinero'),
            'wow fadeInRight' => __('Fade In Right','dinero'),
            'flip-up' => __('Flip Up','dinero')
        ),
        'section' => 'dinero_contact_pages',
    ));

addColorPalatOption($wp_customize, 'dinero_contactpage_iconbg_color1', 'dinero_contact_pages', 'Icon Background color 1 ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_iconbg_color2', 'dinero_contact_pages', 'Icon Background color 2 ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_icon_color', 'dinero_contact_pages', 'Icon color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_label_color', 'dinero_contact_pages', 'Label color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_info_color', 'dinero_contact_pages', 'Data & link color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_infohover_color', 'dinero_contact_pages', 'Link hover color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_border_color', 'dinero_contact_pages', 'Border color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_heading_color', 'dinero_contact_pages', 'Heading color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_headingborder_color1', 'dinero_contact_pages', 'Heading border color 1 ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_headingborder_color2', 'dinero_contact_pages', 'Heading border color 2 ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formtext_color', 'dinero_contact_pages', 'Form text color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formlabel_color', 'dinero_contact_pages', 'Form label color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formbg_color', 'dinero_contact_pages', 'Form background color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formborder_color', 'dinero_contact_pages', 'Form border color ', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formbtnbg_color1', 'dinero_contact_pages', 'Form button background color 1', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formbtnbg_color2', 'dinero_contact_pages', 'Form button background color 2', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_formbtntext_color', 'dinero_contact_pages', 'Form button text color', '');
addColorPalatOption($wp_customize, 'dinero_contactpage_mapborder_color', 'dinero_contact_pages', 'Map border color', '');